> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List transactions associated with an Advanced Transfer

> List transactions associated with an Advanced Transfer. This API is currently not available to all clients. Please reach out to Prime Operations with any questions.



## OpenAPI

````yaml get /v1/portfolios/{portfolio_id}/advanced_transfers/{advanced_transfer_id}/transactions
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/advanced_transfers/{advanced_transfer_id}/transactions:
    get:
      tags:
        - Transactions
      summary: List transactions associated with an Advanced Transfer
      description: >-
        List transactions associated with an Advanced Transfer. This API is
        currently not available to all clients. Please reach out to Prime
        Operations with any questions.
      operationId: PrimeRESTAPI_ListAdvancedTransferTransactions
      parameters:
        - name: portfolio_id
          in: path
          description: The portfolio ID
          required: true
          schema:
            type: string
        - name: advanced_transfer_id
          in: path
          description: The ID of the Advanced Transfer
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.ListAdvancedTransferTransactionsResponse
components:
  schemas:
    coinbase.public_rest_api.ListAdvancedTransferTransactionsResponse:
      required:
        - transactions
      type: object
      properties:
        transactions:
          type: array
          description: The transactions associated with an Advanced Transfer
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.Transaction'
      description: >-
        ListAdvancedTransferTransactionsResponse contains the transactions
        associated with an advanced transfer.
    coinbase.public_rest_api.Transaction:
      type: object
      properties:
        id:
          type: string
          description: The ID of the transaction
          example: BTC-USD
        wallet_id:
          type: string
          description: The wallet ID of the transaction
          example: cde8dd34-b6cf-4c2c-82bc-5f86adacc868
        portfolio_id:
          type: string
          description: The portfolio ID of the transaction
          example: 0a66a8c0-24ea-4f18-b14f-8c9cf7c1ba40
        type:
          $ref: '#/components/schemas/coinbase.public_rest_api.TransactionType'
        status:
          $ref: '#/components/schemas/coinbase.public_rest_api.TransactionStatus'
        symbol:
          type: string
          description: The asset symbol
          example: BTC
        created_at:
          type: string
          description: The transaction creation time (as a UTC timestamp)
          format: date-time
          example: '2021-05-31T11:59:59.000Z'
        completed_at:
          type: string
          description: The transaction completion time (as a UTC timestamp)
          format: date-time
          example: '2021-05-31T12:09:31.000Z'
        amount:
          type: string
          description: The transaction amount in whole units
          example: '100'
        transfer_from:
          $ref: '#/components/schemas/coinbase.public_rest_api.TransferLocation'
        transfer_to:
          $ref: '#/components/schemas/coinbase.public_rest_api.TransferLocation'
        network_fees:
          type: string
          description: >-
            The blockchain network fees (in whole units) required in order to
            broadcast the transaction
          example: '1.99'
        fees:
          type: string
          description: The fees that the customer paid for the transaction (in whole units)
          example: '4.53'
        fee_symbol:
          type: string
          description: The asset in which fees will be paid
          example: USD
        blockchain_ids:
          type: array
          description: >-
            The cryptocurrency network transaction hashes/IDs generated upon
            broadcast
          example:
            - 7.004643996595406e+76
          items:
            type: string
        transaction_id:
          type: string
          description: The 8 character alphanumeric short form id for the transaction
          example: A1B2C3D4
        destination_symbol:
          type: string
          description: The destination asset symbol
          example: USD
        estimated_network_fees:
          $ref: '#/components/schemas/coinbase.public_rest_api.EstimatedNetworkFees'
        network:
          type: string
          description: The network name specific to web3/onchain wallet transactions
          example: ethereum-mainnet
        estimated_asset_changes:
          type: array
          description: The estimated asset changes (web3)
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.AssetChange'
        metadata:
          $ref: '#/components/schemas/coinbase.public_rest_api.TransactionMetadata'
        idempotency_key:
          type: string
          description: The idempotency key associated with the transaction creation request
        onchain_details:
          $ref: >-
            #/components/schemas/coinbase.public_rest_api.OnchainTransactionDetails
        network_info:
          $ref: '#/components/schemas/coinbase.public_rest_api.Network'
        process_requirements:
          $ref: '#/components/schemas/coinbase.public_rest_api.ProcessRequirements'
    coinbase.public_rest_api.TransactionType:
      title: Indicates the transaction type
      type: string
      description: |-
        - TRANSACTION_TYPE_UNKNOWN: An unknown transaction type
         - DEPOSIT: A fiat or crypto deposit
         - WITHDRAWAL: A fiat or crypto withdrawal
         - INTERNAL_DEPOSIT: An internal fiat or crypto deposit
         - INTERNAL_WITHDRAWAL: An internal fiat or crypto withdrawal
         - SWEEP_DEPOSIT: Internal automated deposit to a cold address from a restored address
         - SWEEP_WITHDRAWAL: Internal automated withdrawal from a restored address to a cold address
         - PROXY_DEPOSIT: On-chain deposit of funds into proxy contract from cold address
         - PROXY_WITHDRAWAL: On-chain withdrawal of funds from proxy contract to cold address
         - BILLING_WITHDRAWAL: Coinbase Prime automated invoice settlement payment
         - REWARD: Reward payment to an associated address for a staked asset
         - COINBASE_REFUND: Coinbase Prime refund for the leftover amount for a CPFP (child pays for parent) transaction
         - TRANSACTION_TYPE_OTHER: An OTHER type of transaction
         - WITHDRAWAL_ADJUSTMENT: A manual adjustment withdrawal transaction
         - DEPOSIT_ADJUSTMENT: A manual adjustment deposit transaction
         - KEY_REGISTRATION: An on-chain registration for an address
         - DELEGATION: An on-chain delegation transaction
         - UNDELEGATION: An on-chain undelegation transaction
         - RESTAKE: On-chain restaking transaction
         - COMPLETE_UNBONDING: On-chain unbonding event transaction
         - WITHDRAW_UNBONDED: On-chain event indicating unbonding period is over
         - STAKE_ACCOUNT_CREATE: On-chain transaction to begin staking from an address
         - CHANGE_VALIDATOR: On-chain transaction alter validator
         - STAKE: On-chain transaction to begin staking in Cryptocurrency network
         - UNSTAKE: On-chain transaction to stop staking in Cryptocurrency network
         - REMOVE_AUTHORIZED_PARTY: On-chain transaction to remove a party from a multi-signature wallet
         - STAKE_AUTHORIZE_WITH_SEED: On-chain transaction to begin staking from a seed account
         - SLASH: On-chain transaction indicating a slash event has occurred
         - COINBASE_DEPOSIT: On-chain transaction deposit for the purpose of transaction operations
         - CONVERSION: Internal conversion between two assets
         - CLAIM_REWARDS: On-chain transaction to claim rewards from Vote Account
         - VOTE_AUTHORIZE: On-chain transaction to transfer the reward claiming permission to other pubkey
         - WEB3_TRANSACTION: On-chain transaction initiated with Prime Onchain Wallet
        Deprecated: Use ONCHAIN_TRANSACTION instead
         - ONCHAIN_TRANSACTION: On-chain transaction initiated with Prime Onchain Wallet
         - PORTFOLIO_STAKE: Portfolio-level staking operation
         - PORTFOLIO_UNSTAKE: Portfolio-level unstaking operation
      enum:
        - DEPOSIT
        - WITHDRAWAL
        - INTERNAL_DEPOSIT
        - INTERNAL_WITHDRAWAL
        - SWEEP_DEPOSIT
        - SWEEP_WITHDRAWAL
        - PROXY_DEPOSIT
        - PROXY_WITHDRAWAL
        - BILLING_WITHDRAWAL
        - REWARD
        - COINBASE_REFUND
        - TRANSACTION_TYPE_OTHER
        - WITHDRAWAL_ADJUSTMENT
        - DEPOSIT_ADJUSTMENT
        - KEY_REGISTRATION
        - DELEGATION
        - UNDELEGATION
        - RESTAKE
        - COMPLETE_UNBONDING
        - WITHDRAW_UNBONDED
        - STAKE_ACCOUNT_CREATE
        - CHANGE_VALIDATOR
        - STAKE
        - UNSTAKE
        - REMOVE_AUTHORIZED_PARTY
        - STAKE_AUTHORIZE_WITH_SEED
        - SLASH
        - COINBASE_DEPOSIT
        - CONVERSION
        - CLAIM_REWARDS
        - VOTE_AUTHORIZE
        - WEB3_TRANSACTION
        - ONCHAIN_TRANSACTION
        - PORTFOLIO_STAKE
        - PORTFOLIO_UNSTAKE
    coinbase.public_rest_api.TransactionStatus:
      title: Indicates the transaction status
      type: string
      description: |-
        - UNKNOWN_TRANSACTION_STATUS: An Unknown Transaction status
         - TRANSACTION_CREATED: The Transaction has been created and is awaiting Consensus approval
        This is a non-terminal status
         - TRANSACTION_REQUESTED: The Transaction has reached User Consensus and is awaiting Coinbase Prime approval
        This is a non-terminal status
         - TRANSACTION_APPROVED: The Transaction has been authorized by Coinbase Prime
        This is a non-terminal status
         - TRANSACTION_GASSING: The transaction is awaiting blockchain resources for broadcast
        This is a non-terminal status
         - TRANSACTION_GASSED: The transaction has received blockchain resources for broadcasting
        This is a non-terminal status
         - TRANSACTION_PROVISIONED: The transaction has been provisioned and is awaiting planning
        This is a non-terminal status
         - TRANSACTION_PLANNED: The transaction has been constructed.
        This is a non-terminal status
         - TRANSACTION_PROCESSING: The transaction is currently processing and awaiting finalization
        This is a non-terminal status
         - TRANSACTION_RESTORED: The transaction has been broadcasted to the network.
        This is a non-terminal status
         - TRANSACTION_DONE: The transaction has confirmed on-chain and finished.
        This is a terminal status
         - TRANSACTION_IMPORT_PENDING: The transaction deposit has been detected and is awaiting finalization.
        This is a non-terminal status
         - TRANSACTION_IMPORTED: The transaction deposit and reward has been detected.
        This is a terminal status
         - TRANSACTION_CANCELLED: The transaction has been cancelled
        This is a terminal status
         - TRANSACTION_REJECTED: The transaction was rejected before construction and broadcasting.
        This is a terminal status
         - TRANSACTION_DELAYED: The transaction s taking longer than expected to confirm on-chain.
        This is a non-terminal status
         - TRANSACTION_RETRIED: The transaction has been recreated and retried, this occurs when network congestion results in transfers becoming extremely delayed due to insufficient fees or network resources such as CPU, RAM, or NET
        This is a terminal status
         - TRANSACTION_FAILED: The transaction failed on-chain (the fee was spent but the operation failed).
        This is a terminal status
         - TRANSACTION_EXPIRED: The transaction has expired.
        This is a terminal status
         - TRANSACTION_BROADCASTING: The transaction is currently broadcasting to the cryptocurrency network.
        This is a non-terminal status
         - OTHER_TRANSACTION_STATUS: The transaction has reached an OTHER status.
        This is a non-terminal status
         - TRANSACTION_CONSTRUCTED: The transaction  bctx is constructed but not yet broadcasting on chain
        This is a non-terminal status
      enum:
        - TRANSACTION_CREATED
        - TRANSACTION_REQUESTED
        - TRANSACTION_APPROVED
        - TRANSACTION_GASSING
        - TRANSACTION_GASSED
        - TRANSACTION_PROVISIONED
        - TRANSACTION_PLANNED
        - TRANSACTION_PROCESSING
        - TRANSACTION_RESTORED
        - TRANSACTION_DONE
        - TRANSACTION_IMPORT_PENDING
        - TRANSACTION_IMPORTED
        - TRANSACTION_CANCELLED
        - TRANSACTION_REJECTED
        - TRANSACTION_DELAYED
        - TRANSACTION_RETRIED
        - TRANSACTION_FAILED
        - TRANSACTION_EXPIRED
        - TRANSACTION_BROADCASTING
        - OTHER_TRANSACTION_STATUS
        - TRANSACTION_CONSTRUCTED
    coinbase.public_rest_api.TransferLocation:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/coinbase.public_rest_api.TransferLocationType'
        value:
          type: string
          description: >-
            The value of the transfer location: payment method ID, wallet ID or
            crypto address
          example: 0bf7bf1e-bafa-4d7e-9312-fa0bf3b63f27
        address:
          type: string
          description: The crypto address of the transfer location
          example: 6.6325114945411165e+47
        account_identifier:
          type: string
          description: >-
            The tag/memo of the address, if applicable -- required for certain
            assets (e.g. XRP, XLM, etc.)
          example: '387879289'
    coinbase.public_rest_api.EstimatedNetworkFees:
      type: object
      properties:
        lower_bound:
          type: string
          description: Estimated lower bound for networks fees (in whole units)
          example: '1.99'
        upper_bound:
          type: string
          description: Estimated upper bound for network fees (in whole units)
          example: '2.99'
    coinbase.public_rest_api.AssetChange:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/coinbase.public_rest_api.AssetChangeType'
        symbol:
          type: string
          description: The currency symbol associated with the balance operation
          example: ETH
        amount:
          type: string
          description: The amount in whole units being transferred or approved
          example: '100'
        collection:
          $ref: '#/components/schemas/coinbase.public_rest_api.NFTCollection'
        item:
          $ref: '#/components/schemas/coinbase.public_rest_api.NFTItem'
    coinbase.public_rest_api.TransactionMetadata:
      type: object
      properties:
        match_metadata:
          $ref: '#/components/schemas/coinbase.public_rest_api.MatchMetadata'
        web3_transaction_metadata:
          $ref: >-
            #/components/schemas/coinbase.public_rest_api.Web3TransactionMetadata
        reward_metadata:
          $ref: '#/components/schemas/coinbase.public_rest_api.RewardMetadata'
    coinbase.public_rest_api.OnchainTransactionDetails:
      type: object
      properties:
        signed_transaction:
          type: string
          description: The signed transaction data
          example: 01ac1872bb2967df00124a7fd15e470a10aab04852e19fc6f...
        risk_assessment:
          $ref: '#/components/schemas/coinbase.public_rest_api.RiskAssessment'
        chain_id:
          type: string
          description: >-
            The blockchain network chain ID. Will be empty for Solana
            transactions.
          example: '1'
        nonce:
          type: string
          description: >-
            The transaction nonce. Only present for EVM-based blockchain
            transactions.
          example: '42'
        replaced_transaction_id:
          type: string
          description: The ID of the transaction that this transaction replaced
          example: 123e4567-e89b-12d3-a456-426614174000
        destination_address:
          type: string
          description: The destination address for the transaction
          example: 6.6325114945411165e+47
        skip_broadcast:
          type: boolean
          description: >-
            If set to true, the transaction will not be broadcast to the
            network. You can still retrieve the signed transaction from the
            GetTransaction endpoint by transaction ID once the transaction is
            created.
          example: false
        failure_reason:
          type: string
          description: Reason for transaction failure if applicable
          example: insufficient_funds
        signing_status:
          $ref: '#/components/schemas/coinbase.public_rest_api.SigningStatus'
    coinbase.public_rest_api.Network:
      type: object
      properties:
        id:
          title: The name of the network
          type: string
          description: 'The network id: base, bitcoin, ethereum, solana etc'
        type:
          title: The network type
          type: string
          description: 'The network type: mainnet, testnet, etc'
    coinbase.public_rest_api.ProcessRequirements:
      title: Represents the status of various process requirements for a transaction
      type: object
      properties:
        travel_rule_status:
          $ref: '#/components/schemas/coinbase.public_rest_api.TravelRuleStatus'
    coinbase.public_rest_api.TransferLocationType:
      title: |-
        - TRANSFER_LOCATION_TYPE_UNKNOWN: The nil value
         - PAYMENT_METHOD: The ID of a fiat payment method
         - WALLET: The ID of a wallet
         - ADDRESS: A cryptocurrency address
         - OTHER: Another type of transfer location: Blockchain Network, Coinbase
         - MULTIPLE_ADDRESSES: Multiple cryptocurrency addresses
         - COUNTERPARTY_ID: Counterparty ID
      type: string
      enum:
        - PAYMENT_METHOD
        - WALLET
        - ADDRESS
        - OTHER
        - MULTIPLE_ADDRESSES
        - COUNTERPARTY_ID
    coinbase.public_rest_api.AssetChangeType:
      title: AssetChangeType identifies the type of asset change
      type: string
      enum:
        - BALANCE_TRANSFER
        - BALANCE_APPROVAL
        - ITEM_TRANSFER
        - ITEM_APPROVAL
        - ITEM_APPROVAL_ALL
    coinbase.public_rest_api.NFTCollection:
      type: object
      properties:
        name:
          type: string
          description: NFT collection name
    coinbase.public_rest_api.NFTItem:
      type: object
      properties:
        name:
          type: string
          description: NFT item name
    coinbase.public_rest_api.MatchMetadata:
      type: object
      properties:
        reference_id:
          type: string
          description: The reference id of the match
        settlement_date:
          type: string
          description: The settlement date of the match
    coinbase.public_rest_api.Web3TransactionMetadata:
      type: object
      properties:
        label:
          type: string
          description: >-
            The transaction type label of the confirmed transaction post
            settlement
        confirmed_asset_changes:
          type: array
          description: The confirmed asset changes (onchain)
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.AssetChange'
    coinbase.public_rest_api.RewardMetadata:
      type: object
      properties:
        subtype:
          $ref: '#/components/schemas/coinbase.public_rest_api.RewardSubtype'
        custom_stablecoin_reward_details:
          $ref: >-
            #/components/schemas/coinbase.public_rest_api.CustomStablecoinRewardDetails
    coinbase.public_rest_api.RiskAssessment:
      title: New message for risk assessment details
      type: object
      properties:
        compliance_risk_detected:
          type: boolean
          description: >-
            Indicates if the transaction has been flagged for compliance
            concerns
          example: false
        security_risk_detected:
          type: boolean
          description: Indicates if the transaction has been flagged for security concerns
          example: false
    coinbase.public_rest_api.SigningStatus:
      title: |-
        - SIGNING_STATUS_UNKNOWN: Unknown signing status
         - SIGNED: Transaction has been signed
         - UNSIGNED: Transaction is unsigned
      type: string
      enum:
        - SIGNED
        - UNSIGNED
    coinbase.public_rest_api.TravelRuleStatus:
      title: Travel rule compliance status for a transaction
      type: string
      default: TRAVEL_RULE_STATUS_UNSPECIFIED
      enum:
        - TRAVEL_RULE_STATUS_UNSPECIFIED
        - TRAVEL_RULE_STATUS_PENDING
        - TRAVEL_RULE_STATUS_SUBMITTED
    coinbase.public_rest_api.RewardSubtype:
      title: Indicates the reward subtype
      type: string
      description: >-
        - REWARD_SUBTYPE_UNKNOWN: An unknown reward subtype, reward subtype may
        not be supported in the API response yet
         - MEV_REWARD: A maximal extractable value reward
        i.e. sol mev rewards
         - INFLATION_REWARD: An inflationary reward
        i.e. solana inflationary rewards
         - BLOCK_REWARD: A block reward
        i.e. solana block rewards
         - VALIDATOR_REWARD: A validator reward
        i.e. ethereum validator (consensus layer) rewards
         - TRANSACTION_REWARD: A transaction reward
        i.e. ethereum transaction (execution layer) rewards
         - STAKING_FEE_REBATE_REWARD: A staking fee rebate reward
        i.e. coinbase pays rebates for staking fees to eligible delegators
         - BUIDL_DIVIDEND: A BUIDL dividend reward
        i.e. dividends from BUIDL fund holdings
         - CUSTOM_STABLECOIN_REWARD: A custom stablecoin reward
        i.e. USDC reward payouts
      enum:
        - MEV_REWARD
        - INFLATION_REWARD
        - BLOCK_REWARD
        - VALIDATOR_REWARD
        - TRANSACTION_REWARD
        - STAKING_FEE_REBATE_REWARD
        - BUIDL_DIVIDEND
        - CUSTOM_STABLECOIN_REWARD
    coinbase.public_rest_api.CustomStablecoinRewardDetails:
      title: Details for a custom stablecoin reward payout transaction
      type: object
      properties:
        start_date:
          type: string
          description: >-
            ISO-formatted start date of the reward period (e.g.
            2025-02-01T00:00:00Z)
        end_date:
          type: string
          description: >-
            ISO-formatted end date of the reward period (e.g.
            2025-02-28T00:00:00Z)
        asset:
          $ref: '#/components/schemas/coinbase.public_rest_api.CustomStablecoinAsset'
    coinbase.public_rest_api.CustomStablecoinAsset:
      title: Currency metadata of the custom stablecoin asset for the reward program
      type: object
      properties:
        symbol:
          type: string
          description: The asset symbol (e.g. USDC, USDF)

````